package org.gcube.application.geoportal.service.model.legacy.concessioni;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import org.gcube.application.geoportal.model.Record;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter


@Entity
@DiscriminatorValue("OTHER")
public class OtherContent extends AssociatedContent {

	

	@ManyToOne
    @JoinColumn(name="record_id", nullable=false)
	public Record record;

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("OtherContent [");
		if(record!=null) {
			builder.append(", owner-record-id=");
			builder.append(record.getId());
		}else {
			builder.append(", record=");
			builder.append(record);
		}

		builder.append(", toString()=");
		builder.append(super.toString());
		builder.append("]");
		return builder.toString();
	}
	
	
	
}
