package org.gcube.application.geoportal.service.model.legacy.concessioni;

import javax.persistence.Entity;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;

import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
@Entity
@Inheritance(strategy = InheritanceType.JOINED)
public abstract class SDILayerDescriptor extends AssociatedContent{

	
	//meta
	private String layerUUID;
	private Long layerID;
	
	//layer
	private String layerName;
	private String wmsLink;
	
	
	
	
}
